package com.castlabs.sdk.castdemo;

import androidx.multidex.MultiDexApplication;

import com.castlabs.android.PlayerSDK;
import com.castlabs.demoutils.ActivityInsetManager;
import com.castlabs.sdk.ima.ImaPlugin;

public class DemoApp extends MultiDexApplication {

	public static final String RECEIVER_APPLICATION_ID = "6BF5C590";

	@Override
	public void onCreate() {
		super.onCreate();
		registerActivityLifecycleCallbacks(new ActivityInsetManager());

		// Enable IMA SDK
		PlayerSDK.register(new ImaPlugin());

		// Setup and initialize the Castlabs SDK
		PlayerSDK.init(getApplicationContext());
	}
}
